Mantis Bug Tracker

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0005358opensim[REGION] OpenSim Corepublic2011-02-01 05:392012-11-09 20:12
Reporteraiaustin 
Assigned Tojustincc 
PrioritynormalSeverityminorReproducibilityhave not tried
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Versionmaster (dev code) 
Target VersionFixed in Version 
Summary0005358: While loading an OAR - [PHYSICS]: Unable to generate a Sculpty physics proxy. Sculpty texture decode failed
DescriptionLoading OAR file of a copy of the OpenVCE OAR on a region to a new region... load seemed to be successful except for a long list of rederror messages in OpenSim.exe console:

12:38:02 - [PHYSICS]: Unable to generate a Sculpty physics proxy. Sculpty texture decode failed: The type initializerfor 'OpenMetaverse.Logger' threw an exception.

OpenSim.log message was as follows:

2011-01-31 12:38:02,923 ERROR - OpenSim.Region.Physics.Meshing.Meshmerizer [PHYSICS]: Unable to generate a Sculpty physics proxy. Sculpty texture decode failed: The type initializer for 'OpenMetaverse.Logger' threw an exception.

TagsNo tags attached.
Git Revision or version number0.7.1 dev master
Run Mode Grid (Multiple Regions per Sim)
Physics EngineODE
Environment.NET / Windows32
Mono VersionNone
Viewer
Attached Files

- Relationships

-  Notes
(0018152)
Clinton (reporter)
2011-03-20 19:50

I just noticed the same red error in my console when someone was building on the land. I asked them what they were doing that might have caused it. I think it's caused by a particle script that she found on the web. The error she got was
Selected engine unavailable. Running script on XEngine.
I'm running OpenSim 0.7.1 Dev OSgrid 0.7.1 (Dev) 04e3ae3: 2011-03-16 (interface version 7) on 64bit Windows 7
(0018252)
justincc (administrator)
2011-04-11 15:42

This is an underlying problem in the jpeg decode libraries I suspect, which does not manifest on 32 bit systems.

One workaround is to disable physics for sculpties.
(0021224)
orenh (administrator)
2012-04-11 05:17

The exception that is displayed, "The type initializer for 'OpenMetaverse.Logger' threw an exception.", isn't relevant. It happens because OpenMetaverse.dll fails to load log4net.dll. The real error is "Decoded image with unhandled number of components", which is logged here:

http://code.google.com/p/libopenmetaverse/source/browse/libopenmetaverse/trunk/OpenMetaverse/Imaging/OpenJPEG.cs?r=3282#351 [^]

About the log4net.dll error: it happens because the reference to log4net.dll in OpenMetaverse doesn't contain a "publickey", but the DLL used in OpenSim does have a publickey (as all assemblies should). This causes a mismatch, so log4net.dll can't be loaded from OpenMetaverse.dll. The solution would be to recompile the OpenMetaverse DLL's, after fixing their references to log4net.dll.
(0023058)
justincc (administrator)
2012-11-09 20:12

Fixed by updating log4net in libopenmetaverse to match one used by OpenSimulator.

- Issue History
Date Modified Username Field Change
2011-02-01 05:39 aiaustin New Issue
2011-02-01 05:39 aiaustin Git Revision => 0.7.1 dev master
2011-02-01 05:39 aiaustin SVN Revision => 14580
2011-02-01 05:39 aiaustin Run Mode => Grid (Multiple Regions per Sim)
2011-02-01 05:39 aiaustin Physics Engine => ODE
2011-02-01 05:39 aiaustin Environment => .NET / Windows32
2011-02-01 05:39 aiaustin Mono Version => None
2011-02-01 05:40 aiaustin Description Updated
2011-02-01 05:40 aiaustin Additional Information Updated
2011-03-20 19:50 Clinton Note Added: 0018152
2011-04-11 15:42 justincc Note Added: 0018252
2012-04-11 05:17 orenh Note Added: 0021224
2012-07-19 16:02 justincc Assigned To => justincc
2012-07-19 16:02 justincc Status new => assigned
2012-11-09 20:12 justincc Note Added: 0023058
2012-11-09 20:12 justincc Status assigned => closed
2012-11-09 20:12 justincc Resolution open => fixed


Copyright © 2000 - 2012 MantisBT Group
Powered by Mantis Bugtracker